/*	@(#)limits.h 1.12 89/08/31 SMI; from S5R2 1.1	*/

#ifndef	__sys_limits_h
#define	__sys_limits_h

#define	CHAR_BIT		 0x8
#define	SCHAR_MIN		 -128
#define	SCHAR_MAX		 127
#define	UCHAR_MAX		 255
#define	CHAR_MIN		 -128
#define	CHAR_MAX		 127
#define	SHRT_MIN		((short)0x8000)
#define	SHRT_MAX		((short)0x7FFF)
#define	USHRT_MAX		((unsigned short)0xFFFF)
#define	INT_MIN		         SHRT_MIN	
#define	INT_MAX			 SHRT_MAX
#define	UINT_MAX		 USHRT_MAX
#define	LONG_MIN		((long)0x80000000L)
#define	LONG_MAX		((long)0x7FFFFFFFL)
#define	ULONG_MAX		((unsigned long)0xFFFFFFFFL)
#define	MB_LEN_MAX		4

/*
 * All POSIX systems must support the following values
 * A system may support less restrictive values
 */
#define	_POSIX_ARG_MAX		4096
#define	_POSIX_CHILD_MAX	6
#define	_POSIX_LINK_MAX		8
#define	_POSIX_MAX_CANON	255
#define	_POSIX_MAX_INPUT	255
#define	_POSIX_NAME_MAX		14
#define	_POSIX_NGROUPS_MAX	0
#define	_POSIX_OPEN_MAX		16
#define	_POSIX_PATH_MAX		255
#define	_POSIX_PIPE_BUF		512

#define	NGROUPS_MAX		16	/* Must match <sys/param.h> NGROUPS */
#endif	/* !__sys_limits_h */
